/*===========================================================================*/
/*   (Eval/expdtry.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/expdtry.scm -indent -o objs/obj_u/Eval/expdtry.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expander_tryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__expander_tryz00();
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL obj_t BGl_expandzd2tryzd2zz__expander_tryz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__expander_tryz00();
static obj_t BGl_requirezd2initializa7ationz75zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1968z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1967z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1966z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1965z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl__expandzd2tryzd2zz__expander_tryz00(obj_t, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl_symbol1964z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1963z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1962z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1961z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1960z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1959z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1958z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1957z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1956z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1955z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1954z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1953z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1952z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1951z00zz__expander_tryz00 = BUNSPEC;
static obj_t BGl_symbol1950z00zz__expander_tryz00 = BUNSPEC;
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_expandzd2tryzd2envz00zz__expander_tryz00, BgL_bgl__expandza7d2tryza7d2za7za7__expander_tryza7001976za7, BGl__expandzd2tryzd2zz__expander_tryz00, 0L, 2 );
DEFINE_STRING( BGl_string1970z00zz__expander_tryz00, BgL_bgl_string1970za700za7za7__expander_tryza7001977z00, "Illegal form", 12 );
DEFINE_STRING( BGl_string1969z00zz__expander_tryz00, BgL_bgl_string1969za700za7za7__expander_tryza7001978z00, "try", 3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expander_tryz00(long BgL_checksumz00_668, char * BgL_fromz00_669)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__expander_tryz00))
{ 
BGl_requirezd2initializa7ationz75zz__expander_tryz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__expander_tryz00(); 
BGl_importedzd2moduleszd2initz00zz__expander_tryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__expander_tryz00()
{ AN_OBJECT;
{ /* ./Eval/expdtry.scm 14 */
BGl_symbol1950z00zz__expander_tryz00 = 
string_to_symbol("handler"); 
BGl_symbol1951z00zz__expander_tryz00 = 
string_to_symbol("non-user"); 
BGl_symbol1952z00zz__expander_tryz00 = 
string_to_symbol("rhandler"); 
BGl_symbol1953z00zz__expander_tryz00 = 
string_to_symbol("body"); 
BGl_symbol1954z00zz__expander_tryz00 = 
string_to_symbol("armed"); 
BGl_symbol1955z00zz__expander_tryz00 = 
string_to_symbol("letrec"); 
BGl_symbol1956z00zz__expander_tryz00 = 
string_to_symbol("lambda"); 
BGl_symbol1957z00zz__expander_tryz00 = 
string_to_symbol("esc"); 
BGl_symbol1958z00zz__expander_tryz00 = 
string_to_symbol("obj"); 
BGl_symbol1959z00zz__expander_tryz00 = 
string_to_symbol("proc"); 
BGl_symbol1960z00zz__expander_tryz00 = 
string_to_symbol("msg"); 
BGl_symbol1961z00zz__expander_tryz00 = 
string_to_symbol("set!"); 
BGl_symbol1962z00zz__expander_tryz00 = 
string_to_symbol("remove-error-handler!"); 
BGl_symbol1963z00zz__expander_tryz00 = 
string_to_symbol("bind-exit"); 
BGl_symbol1964z00zz__expander_tryz00 = 
string_to_symbol("escape"); 
BGl_symbol1965z00zz__expander_tryz00 = 
string_to_symbol("dynamic-wind"); 
BGl_symbol1966z00zz__expander_tryz00 = 
string_to_symbol("add-error-handler!"); 
BGl_symbol1967z00zz__expander_tryz00 = 
string_to_symbol("if"); 
return ( 
BGl_symbol1968z00zz__expander_tryz00 = 
string_to_symbol("begin"), BUNSPEC) ;} 
}



/* expand-try */
BGL_EXPORTED_DEF obj_t BGl_expandzd2tryzd2zz__expander_tryz00(obj_t BgL_xz00_1, obj_t BgL_ez00_2)
{ AN_OBJECT;
{ /* ./Eval/expdtry.scm 53 */
{ 
obj_t BgL_bodyz00_356;obj_t BgL_handlerz00_357;
if(
PAIRP(BgL_xz00_1))
{ /* ./Eval/expdtry.scm 62 */
obj_t BgL_cdrzd2109zd2_362;
BgL_cdrzd2109zd2_362 = 
CDR(BgL_xz00_1); 
if(
PAIRP(BgL_cdrzd2109zd2_362))
{ /* ./Eval/expdtry.scm 62 */
obj_t BgL_carzd2112zd2_364;obj_t BgL_cdrzd2113zd2_365;
BgL_carzd2112zd2_364 = 
CAR(BgL_cdrzd2109zd2_362); 
BgL_cdrzd2113zd2_365 = 
CDR(BgL_cdrzd2109zd2_362); 
if(
NULLP(BgL_carzd2112zd2_364))
{ /* ./Eval/expdtry.scm 62 */
FAILURE(BGl_string1969z00zz__expander_tryz00,BGl_string1970z00zz__expander_tryz00,BgL_xz00_1);}  else 
{ /* ./Eval/expdtry.scm 62 */
if(
PAIRP(BgL_cdrzd2113zd2_365))
{ /* ./Eval/expdtry.scm 62 */
bool_t BgL_testz00_706;
{ /* ./Eval/expdtry.scm 62 */
obj_t BgL_auxz00_707;
BgL_auxz00_707 = 
CDR(BgL_cdrzd2113zd2_365); 
BgL_testz00_706 = 
NULLP(BgL_auxz00_707); } 
if(BgL_testz00_706)
{ /* ./Eval/expdtry.scm 62 */
BgL_bodyz00_356 = BgL_carzd2112zd2_364; 
BgL_handlerz00_357 = 
CAR(BgL_cdrzd2113zd2_365); 
{ /* ./Eval/expdtry.scm 64 */
obj_t BgL_nhandlerz00_371;obj_t BgL_rhandlerz00_372;obj_t BgL_nbodyz00_373;obj_t BgL_armedz00_374;
{ /* ./Eval/expdtry.scm 64 */
obj_t BgL_prefz00_646;
BgL_prefz00_646 = BGl_symbol1950z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 64 */
obj_t BgL_symz00_647;
BgL_symz00_647 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_prefz00_646, BEOA); 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_647, BGl_symbol1951z00zz__expander_tryz00, BTRUE); 
BgL_nhandlerz00_371 = BgL_symz00_647; } } 
{ /* ./Eval/expdtry.scm 65 */
obj_t BgL_prefz00_648;
BgL_prefz00_648 = BGl_symbol1952z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 65 */
obj_t BgL_symz00_649;
BgL_symz00_649 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_prefz00_648, BEOA); 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_649, BGl_symbol1951z00zz__expander_tryz00, BTRUE); 
BgL_rhandlerz00_372 = BgL_symz00_649; } } 
{ /* ./Eval/expdtry.scm 66 */
obj_t BgL_prefz00_650;
BgL_prefz00_650 = BGl_symbol1953z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 66 */
obj_t BgL_symz00_651;
BgL_symz00_651 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_prefz00_650, BEOA); 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_651, BGl_symbol1951z00zz__expander_tryz00, BTRUE); 
BgL_nbodyz00_373 = BgL_symz00_651; } } 
{ /* ./Eval/expdtry.scm 67 */
obj_t BgL_prefz00_652;
BgL_prefz00_652 = BGl_symbol1954z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 67 */
obj_t BgL_symz00_653;
BgL_symz00_653 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_prefz00_652, BEOA); 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_653, BGl_symbol1951z00zz__expander_tryz00, BTRUE); 
BgL_armedz00_374 = BgL_symz00_653; } } 
{ /* ./Eval/expdtry.scm 68 */
obj_t BgL_arg1030z00_375;
{ /* ./Eval/expdtry.scm 68 */
obj_t BgL_arg1033z00_376;obj_t BgL_arg1034z00_377;
BgL_arg1033z00_376 = BGl_symbol1955z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 68 */
obj_t BgL_arg1037z00_378;obj_t BgL_arg1038z00_379;
{ /* ./Eval/expdtry.scm 68 */
obj_t BgL_arg1041z00_380;obj_t BgL_arg1042z00_381;
{ /* ./Eval/expdtry.scm 68 */
obj_t BgL_arg1045z00_382;
BgL_arg1045z00_382 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_arg1041z00_380 = 
MAKE_PAIR(BgL_armedz00_374, BgL_arg1045z00_382); } 
{ /* ./Eval/expdtry.scm 69 */
obj_t BgL_arg1049z00_383;obj_t BgL_arg1050z00_384;
{ /* ./Eval/expdtry.scm 69 */
obj_t BgL_arg1053z00_385;
BgL_arg1053z00_385 = 
MAKE_PAIR(BgL_handlerz00_357, BNIL); 
BgL_arg1049z00_383 = 
MAKE_PAIR(BgL_nhandlerz00_371, BgL_arg1053z00_385); } 
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1058z00_386;obj_t BgL_arg1059z00_387;
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1064z00_388;
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1067z00_389;
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1073z00_391;obj_t BgL_arg1075z00_392;
BgL_arg1073z00_391 = BGl_symbol1956z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1079z00_393;obj_t BgL_arg1080z00_394;
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1083z00_395;obj_t BgL_arg1084z00_396;
BgL_arg1083z00_395 = BGl_symbol1957z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1087z00_397;obj_t BgL_arg1088z00_398;
BgL_arg1087z00_397 = BGl_symbol1958z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 70 */
obj_t BgL_arg1091z00_399;obj_t BgL_arg1092z00_400;
BgL_arg1091z00_399 = BGl_symbol1959z00zz__expander_tryz00; 
BgL_arg1092z00_400 = 
MAKE_PAIR(BGl_symbol1960z00zz__expander_tryz00, BNIL); 
BgL_arg1088z00_398 = 
MAKE_PAIR(BgL_arg1091z00_399, BgL_arg1092z00_400); } 
BgL_arg1084z00_396 = 
MAKE_PAIR(BgL_arg1087z00_397, BgL_arg1088z00_398); } 
BgL_arg1079z00_393 = 
MAKE_PAIR(BgL_arg1083z00_395, BgL_arg1084z00_396); } 
{ /* ./Eval/expdtry.scm 71 */
obj_t BgL_arg1096z00_401;obj_t BgL_arg1097z00_402;
{ /* ./Eval/expdtry.scm 71 */
obj_t BgL_arg1100z00_403;obj_t BgL_arg1101z00_404;
BgL_arg1100z00_403 = BGl_symbol1961z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 71 */
obj_t BgL_arg1104z00_405;
BgL_arg1104z00_405 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg1101z00_404 = 
MAKE_PAIR(BgL_armedz00_374, BgL_arg1104z00_405); } 
BgL_arg1096z00_401 = 
MAKE_PAIR(BgL_arg1100z00_403, BgL_arg1101z00_404); } 
{ /* ./Eval/expdtry.scm 72 */
obj_t BgL_arg1108z00_406;obj_t BgL_arg1109z00_407;
BgL_arg1108z00_406 = 
MAKE_PAIR(BGl_symbol1962z00zz__expander_tryz00, BNIL); 
{ /* ./Eval/expdtry.scm 73 */
obj_t BgL_arg1113z00_408;
{ /* ./Eval/expdtry.scm 73 */
obj_t BgL_arg1117z00_410;
{ /* ./Eval/expdtry.scm 73 */
obj_t BgL_arg1120z00_411;obj_t BgL_arg1121z00_412;
BgL_arg1120z00_411 = BGl_symbol1957z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 73 */
obj_t BgL_arg1124z00_413;obj_t BgL_arg1125z00_414;
BgL_arg1124z00_413 = BGl_symbol1958z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 73 */
obj_t BgL_arg1128z00_415;obj_t BgL_arg1130z00_416;
BgL_arg1128z00_415 = BGl_symbol1959z00zz__expander_tryz00; 
BgL_arg1130z00_416 = 
MAKE_PAIR(BGl_symbol1960z00zz__expander_tryz00, BNIL); 
BgL_arg1125z00_414 = 
MAKE_PAIR(BgL_arg1128z00_415, BgL_arg1130z00_416); } 
BgL_arg1121z00_412 = 
MAKE_PAIR(BgL_arg1124z00_413, BgL_arg1125z00_414); } 
BgL_arg1117z00_410 = 
MAKE_PAIR(BgL_arg1120z00_411, BgL_arg1121z00_412); } 
BgL_arg1113z00_408 = 
MAKE_PAIR(BgL_nhandlerz00_371, BgL_arg1117z00_410); } 
BgL_arg1109z00_407 = 
MAKE_PAIR(BgL_arg1113z00_408, BNIL); } 
BgL_arg1097z00_402 = 
MAKE_PAIR(BgL_arg1108z00_406, BgL_arg1109z00_407); } 
BgL_arg1080z00_394 = 
MAKE_PAIR(BgL_arg1096z00_401, BgL_arg1097z00_402); } 
BgL_arg1075z00_392 = 
MAKE_PAIR(BgL_arg1079z00_393, BgL_arg1080z00_394); } 
BgL_arg1067z00_389 = 
MAKE_PAIR(BgL_arg1073z00_391, BgL_arg1075z00_392); } 
BgL_arg1064z00_388 = 
MAKE_PAIR(BgL_arg1067z00_389, BNIL); } 
BgL_arg1058z00_386 = 
MAKE_PAIR(BgL_rhandlerz00_372, BgL_arg1064z00_388); } 
{ /* ./Eval/expdtry.scm 74 */
obj_t BgL_arg1134z00_417;
{ /* ./Eval/expdtry.scm 74 */
obj_t BgL_arg1138z00_419;
{ /* ./Eval/expdtry.scm 74 */
obj_t BgL_arg1141z00_420;
{ /* ./Eval/expdtry.scm 74 */
obj_t BgL_arg1146z00_422;obj_t BgL_arg1147z00_423;
BgL_arg1146z00_422 = BGl_symbol1956z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 74 */
obj_t BgL_arg1151z00_425;
BgL_arg1151z00_425 = 
MAKE_PAIR(BgL_bodyz00_356, BNIL); 
BgL_arg1147z00_423 = 
MAKE_PAIR(BNIL, BgL_arg1151z00_425); } 
BgL_arg1141z00_420 = 
MAKE_PAIR(BgL_arg1146z00_422, BgL_arg1147z00_423); } 
BgL_arg1138z00_419 = 
MAKE_PAIR(BgL_arg1141z00_420, BNIL); } 
BgL_arg1134z00_417 = 
MAKE_PAIR(BgL_nbodyz00_373, BgL_arg1138z00_419); } 
BgL_arg1059z00_387 = 
MAKE_PAIR(BgL_arg1134z00_417, BNIL); } 
BgL_arg1050z00_384 = 
MAKE_PAIR(BgL_arg1058z00_386, BgL_arg1059z00_387); } 
BgL_arg1042z00_381 = 
MAKE_PAIR(BgL_arg1049z00_383, BgL_arg1050z00_384); } 
BgL_arg1037z00_378 = 
MAKE_PAIR(BgL_arg1041z00_380, BgL_arg1042z00_381); } 
{ /* ./Eval/expdtry.scm 75 */
obj_t BgL_arg1155z00_426;
{ /* ./Eval/expdtry.scm 75 */
obj_t BgL_arg1160z00_428;obj_t BgL_arg1161z00_429;
BgL_arg1160z00_428 = BGl_symbol1963z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 75 */
obj_t BgL_arg1164z00_430;obj_t BgL_arg1165z00_431;
BgL_arg1164z00_430 = 
MAKE_PAIR(BGl_symbol1964z00zz__expander_tryz00, BNIL); 
{ /* ./Eval/expdtry.scm 76 */
obj_t BgL_arg1169z00_432;
{ /* ./Eval/expdtry.scm 76 */
obj_t BgL_arg1174z00_434;obj_t BgL_arg1175z00_435;
BgL_arg1174z00_434 = BGl_symbol1965z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 77 */
obj_t BgL_arg1178z00_436;obj_t BgL_arg1179z00_437;
{ /* ./Eval/expdtry.scm 77 */
obj_t BgL_arg1182z00_438;obj_t BgL_arg1183z00_439;
BgL_arg1182z00_438 = BGl_symbol1956z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 77 */
obj_t BgL_arg1188z00_441;
{ /* ./Eval/expdtry.scm 77 */
obj_t BgL_arg1191z00_442;
{ /* ./Eval/expdtry.scm 77 */
obj_t BgL_arg1195z00_444;obj_t BgL_arg1196z00_445;
BgL_arg1195z00_444 = BGl_symbol1966z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 77 */
obj_t BgL_arg1199z00_446;
BgL_arg1199z00_446 = 
MAKE_PAIR(BGl_symbol1964z00zz__expander_tryz00, BNIL); 
BgL_arg1196z00_445 = 
MAKE_PAIR(BgL_rhandlerz00_372, BgL_arg1199z00_446); } 
BgL_arg1191z00_442 = 
MAKE_PAIR(BgL_arg1195z00_444, BgL_arg1196z00_445); } 
BgL_arg1188z00_441 = 
MAKE_PAIR(BgL_arg1191z00_442, BNIL); } 
BgL_arg1183z00_439 = 
MAKE_PAIR(BNIL, BgL_arg1188z00_441); } 
BgL_arg1178z00_436 = 
MAKE_PAIR(BgL_arg1182z00_438, BgL_arg1183z00_439); } 
{ /* ./Eval/expdtry.scm 79 */
obj_t BgL_arg1203z00_447;
{ /* ./Eval/expdtry.scm 79 */
obj_t BgL_arg1206z00_448;
{ /* ./Eval/expdtry.scm 79 */
obj_t BgL_arg1210z00_450;obj_t BgL_arg1211z00_451;
BgL_arg1210z00_450 = BGl_symbol1956z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 79 */
obj_t BgL_arg1215z00_453;
{ /* ./Eval/expdtry.scm 79 */
obj_t BgL_arg1218z00_454;
{ /* ./Eval/expdtry.scm 79 */
obj_t BgL_arg1222z00_456;obj_t BgL_arg1223z00_457;
BgL_arg1222z00_456 = BGl_symbol1967z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 80 */
obj_t BgL_arg1227z00_458;
{ /* ./Eval/expdtry.scm 80 */
obj_t BgL_arg1230z00_459;
{ /* ./Eval/expdtry.scm 80 */
obj_t BgL_arg1234z00_461;obj_t BgL_arg1235z00_462;
BgL_arg1234z00_461 = BGl_symbol1968z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 81 */
obj_t BgL_arg1238z00_463;obj_t BgL_arg1240z00_464;
{ /* ./Eval/expdtry.scm 81 */
obj_t BgL_arg1243z00_465;obj_t BgL_arg1244z00_466;
BgL_arg1243z00_465 = BGl_symbol1961z00zz__expander_tryz00; 
{ /* ./Eval/expdtry.scm 81 */
obj_t BgL_arg1249z00_467;
BgL_arg1249z00_467 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg1244z00_466 = 
MAKE_PAIR(BgL_armedz00_374, BgL_arg1249z00_467); } 
BgL_arg1238z00_463 = 
MAKE_PAIR(BgL_arg1243z00_465, BgL_arg1244z00_466); } 
{ /* ./Eval/expdtry.scm 82 */
obj_t BgL_arg1254z00_468;
BgL_arg1254z00_468 = 
MAKE_PAIR(BGl_symbol1962z00zz__expander_tryz00, BNIL); 
BgL_arg1240z00_464 = 
MAKE_PAIR(BgL_arg1254z00_468, BNIL); } 
BgL_arg1235z00_462 = 
MAKE_PAIR(BgL_arg1238z00_463, BgL_arg1240z00_464); } 
BgL_arg1230z00_459 = 
MAKE_PAIR(BgL_arg1234z00_461, BgL_arg1235z00_462); } 
BgL_arg1227z00_458 = 
MAKE_PAIR(BgL_arg1230z00_459, BNIL); } 
BgL_arg1223z00_457 = 
MAKE_PAIR(BgL_armedz00_374, BgL_arg1227z00_458); } 
BgL_arg1218z00_454 = 
MAKE_PAIR(BgL_arg1222z00_456, BgL_arg1223z00_457); } 
BgL_arg1215z00_453 = 
MAKE_PAIR(BgL_arg1218z00_454, BNIL); } 
BgL_arg1211z00_451 = 
MAKE_PAIR(BNIL, BgL_arg1215z00_453); } 
BgL_arg1206z00_448 = 
MAKE_PAIR(BgL_arg1210z00_450, BgL_arg1211z00_451); } 
BgL_arg1203z00_447 = 
MAKE_PAIR(BgL_arg1206z00_448, BNIL); } 
BgL_arg1179z00_437 = 
MAKE_PAIR(BgL_nbodyz00_373, BgL_arg1203z00_447); } 
BgL_arg1175z00_435 = 
MAKE_PAIR(BgL_arg1178z00_436, BgL_arg1179z00_437); } 
BgL_arg1169z00_432 = 
MAKE_PAIR(BgL_arg1174z00_434, BgL_arg1175z00_435); } 
BgL_arg1165z00_431 = 
MAKE_PAIR(BgL_arg1169z00_432, BNIL); } 
BgL_arg1161z00_429 = 
MAKE_PAIR(BgL_arg1164z00_430, BgL_arg1165z00_431); } 
BgL_arg1155z00_426 = 
MAKE_PAIR(BgL_arg1160z00_428, BgL_arg1161z00_429); } 
BgL_arg1038z00_379 = 
MAKE_PAIR(BgL_arg1155z00_426, BNIL); } 
BgL_arg1034z00_377 = 
MAKE_PAIR(BgL_arg1037z00_378, BgL_arg1038z00_379); } 
BgL_arg1030z00_375 = 
MAKE_PAIR(BgL_arg1033z00_376, BgL_arg1034z00_377); } 
return 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_arg1030z00_375, BgL_ez00_2, BEOA);} } }  else 
{ /* ./Eval/expdtry.scm 62 */
FAILURE(BGl_string1969z00zz__expander_tryz00,BGl_string1970z00zz__expander_tryz00,BgL_xz00_1);} }  else 
{ /* ./Eval/expdtry.scm 62 */
FAILURE(BGl_string1969z00zz__expander_tryz00,BGl_string1970z00zz__expander_tryz00,BgL_xz00_1);} } }  else 
{ /* ./Eval/expdtry.scm 62 */
FAILURE(BGl_string1969z00zz__expander_tryz00,BGl_string1970z00zz__expander_tryz00,BgL_xz00_1);} }  else 
{ /* ./Eval/expdtry.scm 62 */
FAILURE(BGl_string1969z00zz__expander_tryz00,BGl_string1970z00zz__expander_tryz00,BgL_xz00_1);} } } 
}



/* _expand-try */
obj_t BGl__expandzd2tryzd2zz__expander_tryz00(obj_t BgL_envz00_665, obj_t BgL_xz00_666, obj_t BgL_ez00_667)
{ AN_OBJECT;
{ /* ./Eval/expdtry.scm 53 */
return 
BGl_expandzd2tryzd2zz__expander_tryz00(BgL_xz00_666, BgL_ez00_667);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__expander_tryz00()
{ AN_OBJECT;
{ /* ./Eval/expdtry.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)48291), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)57114), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)53290), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)13855), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)21694), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)6615), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)49269), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)29164), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)51785), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)35070), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)21875), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)104413), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)50132), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)63121), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)13988), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)45566), "__expander_try"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__expander_try"); 
return 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)9608), "__expander_try");} 
}

